Description

Supportanfrage

wie gerade besprochen sind wir gerade am Umstellen unserer ADTF2 Konfig und dabei machen uns immer wieder andere Stream
Namen im PostProcessing das Leben schwer.

Gibt es eine einfache Moglichkeit Gber die DAT Tool, ADTF File Lib usw. die Stream Namen in einer ADTF2 DAT Datei
umzubenennen?

Lésung

Das ist mit der IFHD mdglich, siehe Bsp. dat_stream_rename.zip
Das wollen wir auch ins dat tooling integrieren -> CDIFHD-91 erstellt

History

#1 - 2020-05-05 12:20 - hidden

- Project changed from Public Support to 9

- Status changed from New to In Progress

- Topic set to FileLibrary::DatProcessing

- Customer set to DAIMLER

- Affected Products ADTF File Library 0.6.1 (BETA) added

Hallo Wolfgang,
Gibt es eine einfache Moglichkeit tiber die DAT Tool, ADTF File Lib usw. die Stream Namen in einer ADTF2 DAT Datei umzubenennen?
Nein, denn es gibt keinen File Changer sondern "nur" Reader oder Writer.

Die einzige Mdglichkeit die ich sehe, wére ein Processor, der 1:1 ein neues File erzeugt und die Stream Namen anpasst.

Ansonsten bliebe nur der Weg, es Gber C++ Standardmechanismen auf bindr Ebene umzubenennen... aber davon wirde ich abraten, wenn etwas
schief geht...

Was genau ist denn euer Problem mit den Streamnamen im Postprocessing ?

@Martin: Anmerkungen dazu ?

#2 - 2020-05-05 13:29 - hidden

Hallo Florian,

Danke fir die Infos.

Wir haben diverse PostProcessing Tools die auf den DAT Dateien arbeiten und die Daten tber Stream Namen identifizieren.

Wenn sich diese Stream Namen nun andern, weil Themen zusammen gelegt werden 0.4., dann missen diese Tools angepasst werden.

Das ist leider immer mit Aufwand verbunden und leider auch immer ein Grund flr Zulieferer Projekttermine in Frage zu stellen.

Darum wére es sehr hilfreich wenn man ein kleines Consolen Tool oder eine Python Lib haben kénnte, die eben einfach nur einen Stream
https://support.digitalwerk.net/attachments/14608

umbenennt.

Gut wére hier natirlich auch, wenn in dem Zuge nicht Gigabyte-weise Daten gelesen und geschrieben werden missen.

Uber C++ das ganze Hex zu machen geht nur wenn der Stream Namen in der Lange unveréndert ist.
Das geht auch mit einem Hex Editor aber eben nur wenn der String gleich lang ist.

Wie kann so ein Prozessor realisiert werden?
Mit der ADTF File Lib?
Das Uber ein ADTF Projekt mit Harddisk-Player und Recorder zu [6sen wére arg aufwandig.

Viele GruB3e
Wolfgang

#3 - 2020-05-05 14:03 - hidden

- File dat_stream_rename.zip added

Hi Wolfgang,

ich hab Euch schnell so ein Tool geschrieben, siehe Anhang. Das macht die Anderung "in-place".
@FIlo, sollten wir das ins adtf_dattool Gbernehmen?

GriBe,

Martin

#4 - 2020-05-06 08:33 - hidden

@Martin: Ja, das ware sicher ein use case, den man mit bestehenden Bordmitteln --modify --stream <alt> und einen neuen --rename <neu> anbieten

kdnnte.
Wollen wir das auch mit extensions machen ?

Mussten spezielle Sachen geschiitzt werden oder ist das ohnehin durch die quelloffene Beschaffenheit auf Userschulden zuriickzufihren ?

Was ich mich noch frage... fir ADTF 2.x DAT Files misste das description file auch noch aktualsiert werden oder ?

#5 - 2020-05-13 09:24 - hidden

- Status changed from In Progress to To Be Closed

- Resolution set to Solved Issue

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/CDIFHD-91
- Platform Ubuntu 16.04 64bit added

@Flo, ich hab Ticket https:/www.cip.audi.de/jira/browse/CDIFHD-91 erstellt.

#6 - 2020-05-14 09:32 - hidden

- Project changed from 9 to Public Support

- Description updated

- Private changed from Yes to No

- Resolution changed from Solved Issue to Workaround Available

- Support Level changed from 2nd Level to 3rd Level

#7 - 2020-07-07 12:49 - hidden
- Status changed from To Be Closed to Closed

Files

dat_stream_rename.zip 3.78 KB 2020-05-05
